Bug 836514 - create_ticket() function doesn't assign 'assignee' value to a ticket assignee
create_ticket() function doesn't assign 'assignee' value to a ticket assignee
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-offtrac (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 07:25 EDT by Jakub Filak
Modified: 2016-11-30 19:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-10 16:13:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a proposed patch (936 bytes, patch)
2012-06-29 07:25 EDT, Jakub Filak
no flags Details | Diff

  None (edit)
Description Jakub Filak 2012-06-29 07:25:37 EDT
Created attachment 595262 [details]
a proposed patch

Description of problem:
create_ticket() function accepts the 'assignee' parameter. One can assume that a value from this parameter is to be used as an user name assigned to a ticket. In spite of assumption a value for the assignee is never used by trac server. An assignee value is stored in an attributes dictionary as a value of a 'assignee' key. The attributes dictionary is sent to trac server but trac server doesn't assign the 'assignee' value to a ticket. If someone wants to set 'assignee' of a ticket then he must set the 'owner' attribute.

Version-Release number of selected component (if applicable):
python-offtrac-0.0.3-4

How reproducible:
always

Steps to Reproduce:
import offtrac
s = offtrac.TracServer(...)
s.create_ticket("summary", "description", assignee="assignee")
  
Actual results:
an assignee value is not visible in web interface

Expected results:
The same result as a result of the 'reassign to' web ui action
Comment 1 Fedora Admin XMLRPC Client 2012-11-26 20:39:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Ralph Bean 2013-02-25 13:43:41 EST
Would it make sense to just alias assignee to owner in python-offtrac?
Comment 3 Fedora Update System 2013-02-25 14:35:46 EST
python-offtrac-0.0.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-offtrac-0.0.4-1.fc18
Comment 4 Fedora Update System 2013-02-25 14:36:18 EST
python-offtrac-0.0.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-offtrac-0.0.4-1.fc17
Comment 5 Fedora Update System 2013-02-25 14:36:56 EST
python-offtrac-0.0.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-offtrac-0.0.4-1.el6
Comment 6 Fedora Update System 2013-03-16 14:08:49 EDT
python-offtrac-0.0.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-03-16 20:49:07 EDT
python-offtrac-0.0.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-03-16 20:57:43 EDT
python-offtrac-0.0.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.